Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3636)
@@ -6818,24 +6465,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
                    
              CASE ( 't_surf_window_v(1)' )
-#if defined( __nopointer )        
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_window_v(1)%t ) )             &
-                      ALLOCATE( t_surf_window_v(1)%t(1:surf_usm_v(1)%ns) )
-                   READ ( 13 )  tmp_surf_window_v(1)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_window_v(1)%t,                  & 
-                                        tmp_surf_window_v(1)%t,                &
-                                        surf_usm_v(1)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )                 
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_window_v_1(1)%t ) )           &
@@ -6853,24 +6482,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
 
              CASE ( 't_surf_window_v(2)' )
-#if defined( __nopointer )          
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_window_v(2)%t ) )             &
-                      ALLOCATE( t_surf_window_v(2)%t(1:surf_usm_v(2)%ns) )
-                   READ ( 13 )  tmp_surf_window_v(2)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_window_v(2)%t,                  &
-                                        tmp_surf_window_v(2)%t,                &
-                                        surf_usm_v(2)%start_index,             &   
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_window_v_1(2)%t ) )           &
@@ -6888,24 +6499,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
                    
              CASE ( 't_surf_window_v(3)' )
-#if defined( __nopointer )    
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_window_v(3)%t ) )             &
-                      ALLOCATE( t_surf_window_v(3)%t(1:surf_usm_v(3)%ns) )
-                   READ ( 13 )  tmp_surf_window_v(3)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_surf_window_v(3)%t,                  &
-                                        tmp_surf_window_v(3)%t,                &
-                                        surf_usm_v(3)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else                      
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_surf_window_v_1(3)%t ) )           &
@@ -6923,22 +6516,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_wall_h' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_wall_h ) )                         &
-                      ALLOCATE( t_wall_h(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-                   READ ( 13 )  tmp_wall_h
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_wall_h, tmp_wall_h,                  &
-                                        surf_usm_h%start_index,                & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_wall_h_1 ) )                       &
@@ -6956,23 +6533,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_wall_v(0)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_wall_v(0)%t ) )                    &
-                      ALLOCATE( t_wall_v(0)%t(nzb_wall:nzt_wall+1,             &
-                                              1:surf_usm_v(0)%ns) )
-                   READ ( 13 )  tmp_wall_v(0)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_wall_v(0)%t, tmp_wall_v(0)%t,        &
-                                        surf_usm_v(0)%start_index,             &    
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_wall_v_1(0)%t ) )                  &
@@ -6990,23 +6550,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_wall_v(1)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_wall_v(1)%t ) )                    &
-                      ALLOCATE( t_wall_v(1)%t(nzb_wall:nzt_wall+1,             &
-                                              1:surf_usm_v(1)%ns) )
-                   READ ( 13 )  tmp_wall_v(1)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_wall_v(1)%t, tmp_wall_v(1)%t,        &
-                                        surf_usm_v(1)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file ,                    &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file, nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_wall_v_1(1)%t ) )                  &
@@ -7024,23 +6567,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_wall_v(2)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_wall_v(2)%t ) )                    &
-                      ALLOCATE( t_wall_v(2)%t(nzb_wall:nzt_wall+1,             &
-                                              1:surf_usm_v(2)%ns) )
-                   READ ( 13 )  tmp_wall_v(2)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_wall_v(2)%t, tmp_wall_v(2)%t,        &
-                                        surf_usm_v(2)%start_index,             &  
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_wall_v_1(2)%t ) )                  &
@@ -7058,23 +6584,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_wall_v(3)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_wall_v(3)%t ) )                    &
-                      ALLOCATE( t_wall_v(3)%t(nzb_wall:nzt_wall+1,             &
-                                              1:surf_usm_v(3)%ns) )
-                   READ ( 13 )  tmp_wall_v(3)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_wall_v(3)%t, tmp_wall_v(3)%t,        &
-                                        surf_usm_v(3)%start_index,             &   
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_wall_v_1(3)%t ) )                  &
@@ -7092,23 +6601,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_green_h' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_green_h ) )                        &
-                      ALLOCATE( t_green_h(nzb_wall:nzt_wall+1,                 &
-                                          1:surf_usm_h%ns) )
-                   READ ( 13 )  tmp_green_h
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_green_h, tmp_green_h,                &
-                                        surf_usm_h%start_index,                & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_green_h_1 ) )                      &
@@ -7126,23 +6618,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_green_v(0)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_green_v(0)%t ) )                   &
-                      ALLOCATE( t_green_v(0)%t(nzb_wall:nzt_wall+1,            &
-                                               1:surf_usm_v(0)%ns) )
-                   READ ( 13 )  tmp_green_v(0)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_green_v(0)%t, tmp_green_v(0)%t,      &
-                                        surf_usm_v(0)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_green_v_1(0)%t ) )                 &
@@ -7160,23 +6635,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_green_v(1)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_green_v(1)%t ) )                   &
-                      ALLOCATE( t_green_v(1)%t(nzb_wall:nzt_wall+1,            &
-                                               1:surf_usm_v(1)%ns) )
-                   READ ( 13 )  tmp_green_v(1)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_green_v(1)%t, tmp_green_v(1)%t,      &
-                                        surf_usm_v(1)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file ,                    &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_green_v_1(1)%t ) )                 &
@@ -7194,23 +6652,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_green_v(2)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_green_v(2)%t ) )                   &
-                      ALLOCATE( t_green_v(2)%t(nzb_wall:nzt_wall+1,            &
-                                               1:surf_usm_v(2)%ns) )
-                   READ ( 13 )  tmp_green_v(2)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_green_v(2)%t, tmp_green_v(2)%t,      &
-                                        surf_usm_v(2)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_green_v_1(2)%t ) )                 &
@@ -7228,23 +6669,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_green_v(3)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_green_v(3)%t ) )                   &
-                      ALLOCATE( t_green_v(3)%t(nzb_wall:nzt_wall+1,            &
-                                               1:surf_usm_v(3)%ns) )
-                   READ ( 13 )  tmp_green_v(3)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_green_v(3)%t, tmp_green_v(3)%t,      &
-                                        surf_usm_v(3)%start_index,             &  
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_green_v_1(3)%t ) )                 &
@@ -7262,23 +6686,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_window_h' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_window_h ) )                       &
-                      ALLOCATE( t_window_h(nzb_wall:nzt_wall+1,                &
-                                           1:surf_usm_h%ns) )
-                   READ ( 13 )  tmp_window_h
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_window_h, tmp_window_h,              &
-                                        surf_usm_h%start_index,                & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_window_h_1 ) )                     &
@@ -7296,23 +6703,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file, nxr_on_file )
-#endif
+
              CASE ( 't_window_v(0)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_window_v(0)%t ) )                  &
-                      ALLOCATE( t_window_v(0)%t(nzb_wall:nzt_wall+1,           &
-                                                1:surf_usm_v(0)%ns) )
-                   READ ( 13 )  tmp_window_v(0)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_window_v(0)%t, tmp_window_v(0)%t,    &
-                                        surf_usm_v(0)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file, nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_window_v_1(0)%t ) )                &
@@ -7331,23 +6721,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_window_v(1)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_window_v(1)%t ) )                  &
-                      ALLOCATE( t_window_v(1)%t(nzb_wall:nzt_wall+1,           &
-                                                1:surf_usm_v(1)%ns) )
-                   READ ( 13 )  tmp_window_v(1)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_window_v(1)%t, tmp_window_v(1)%t,    &
-                                        surf_usm_v(1)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file ,                    &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file, nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_window_v_1(1)%t ) )                &
@@ -7366,23 +6739,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_window_v(2)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_window_v(2)%t ) )                  &
-                      ALLOCATE( t_window_v(2)%t(nzb_wall:nzt_wall+1,           &
-                                                1:surf_usm_v(2)%ns) )
-                   READ ( 13 )  tmp_window_v(2)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_window_v(2)%t, tmp_window_v(2)%t,    &
-                                        surf_usm_v(2)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_window_v_1(2)%t ) )                &
@@ -7401,23 +6757,6 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE ( 't_window_v(3)' )
-#if defined( __nopointer )
-                IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_window_v(3)%t ) )                  &
-                      ALLOCATE( t_window_v(3)%t(nzb_wall:nzt_wall+1,           &
-                                                1:surf_usm_v(3)%ns) )
-                   READ ( 13 )  tmp_window_v(3)%t
-                ENDIF
-                CALL surface_restore_elements(                                 &
-                                        t_window_v(3)%t, tmp_window_v(3)%t,    &
-                                        surf_usm_v(3)%start_index,             & 
-                                        start_index_on_file,                   &
-                                        end_index_on_file,                     &
-                                        nxlc, nysc,                            &
-                                        nxlf, nxrf, nysf, nynf,                &
-                                        nys_on_file, nyn_on_file,              &
-                                        nxl_on_file,nxr_on_file )
-#else
                 IF ( k == 1 )  THEN
                    IF ( .NOT.  ALLOCATED( t_window_v_1(3)%t ) )                &
@@ -7435,5 +6774,5 @@
                                         nys_on_file, nyn_on_file,              &
                                         nxl_on_file,nxr_on_file )
-#endif
+
              CASE DEFAULT
 
@@ -7632,5 +6971,5 @@
 
            IF ( usm_par(5,jw,iw) == 0 )  THEN
-#if ! defined( __nopointer )
+
               IF ( zu(kw) >= roof_height_limit )  THEN
                  surf_usm_h%isroof_surf(m)   = .TRUE.
@@ -7640,5 +6979,5 @@
                  surf_usm_h%surface_types(m) = land_category         !< default category for land surface
               ENDIF
-#endif
+
               surf_usm_h%albedo(:,m)    = -1.0_wp
               surf_usm_h%thickness_wall(m) = -1.0_wp
@@ -8188,5 +7527,5 @@
               lambda_surface_green = surf_usm_h%lambda_surf_green(m)
            ENDIF
-#if ! defined( __nopointer )
+
 !            pt1  = pt(k,j,i)
            IF ( humidity )  THEN
@@ -8199,11 +7538,11 @@
            rho_cp  = c_p * hyp(k) / ( r_d * surf_usm_h%pt1(m) * exner(k) )
 
-if (surf_usm_h%frac(ind_pav_green,m).gt.0.0_wp) then
-!
-!--         Calculate frequently used parameters
-            rho_lv    = rho_cp / c_p * l_v
-            drho_l_lv = 1.0_wp / (rho_l * l_v)
-endif
-#endif
+           IF ( surf_usm_h%frac(ind_pav_green,m) > 0.0_wp )  THEN
+!
+!--           Calculate frequently used parameters
+              rho_lv    = rho_cp / c_p * l_v
+              drho_l_lv = 1.0_wp / (rho_l * l_v)
+           ENDIF
+
 !
 !--        Calculate aerodyamic resistance. 
@@ -8637,5 +7976,4 @@
              lambda_surface_green = surf_usm_v(l)%lambda_surf_green(m)
 
-#if ! defined( __nopointer )          
 !            pt1  = pt(k,j,i)
            IF ( humidity )  THEN
@@ -8648,11 +7986,10 @@
              rho_cp  = c_p * hyp(k) / ( r_d * surf_usm_v(l)%pt1(m) * exner(k) )
              
-if (surf_usm_v(l)%frac(1,m).gt.0.0_wp) then
-!
-!--         Calculate frequently used parameters
-            rho_lv    = rho_cp / c_p * l_v
-            drho_l_lv = 1.0_wp / (rho_l * l_v)
-endif
-#endif
+            IF (surf_usm_v(l)%frac(1,m) > 0.0_wp )  THEN
+!
+!--            Calculate frequently used parameters
+               rho_lv    = rho_cp / c_p * l_v
+               drho_l_lv = 1.0_wp / (rho_l * l_v)
+            ENDIF
 
 !--          Calculation of r_a for vertical surfaces
@@ -9053,7 +8390,5 @@
 !--     pt and shf are defined on nxlg:nxrg,nysg:nyng
 !--     get the borders from neighbours
-#if ! defined( __nopointer )
         CALL exchange_horiz( pt, nbgp )
-#endif
 
 !--     calculation of force_radiation_call:
@@ -9188,20 +8523,8 @@
 
        INTEGER(iwp), INTENT(IN) ::  mod_count
+
       
-#if defined( __nopointer )
-       t_surf_wall_h    = t_surf_wall_h_p
-       t_wall_h    = t_wall_h_p
-       t_surf_wall_v    = t_surf_wall_v_p
-       t_wall_v    = t_wall_v_p
-       t_surf_window_h    = t_surf_window_h_p
-       t_window_h    = t_window_h_p
-       t_surf_window_v    = t_surf_window_v_p
-       t_window_v    = t_window_v_p
-       t_surf_green_h    = t_surf_green_h_p
-       t_surf_green_v    = t_surf_green_v_p
-       t_green_h    = t_green_h_p
-       t_green_v    = t_green_v_p
-#else
        SELECT CASE ( mod_count )
+
           CASE ( 0 )
 !
@@ -9239,5 +8562,4 @@
              t_green_v     => t_green_v_2;    t_green_v_p     => t_green_v_1
        END SELECT
-#endif
         
     END SUBROUTINE usm_swap_timelevel
